import request from '@/utils/request'

// 查询裂解培训模版内容列表
export function listLjTmplContent(query) {
  return request({
    url: '/bccnew/ljTmplContent/list',
    method: 'get',
    params: query
  })
}

// 查询裂解培训模版内容详细
export function getLjTmplContent(id) {
  return request({
    url: '/bccnew/ljTmplContent/' + id,
    method: 'get'
  })
}

// 新增裂解培训模版内容
export function addLjTmplContent(data) {
  return request({
    url: '/bccnew/ljTmplContent',
    method: 'post',
    data: data
  })
}

// 修改裂解培训模版内容
export function updateLjTmplContent(data) {
  return request({
    url: '/bccnew/ljTmplContent',
    method: 'put',
    data: data
  })
}

// 删除裂解培训模版内容
export function delLjTmplContent(id) {
  return request({
    url: '/bccnew/ljTmplContent/' + id,
    method: 'delete'
  })
}

// 导出裂解培训模版内容
export function exportLjTmplContent(query) {
  return request({
    url: '/bccnew/ljTmplContent/export',
    method: 'get',
    params: query
  })
}